Bug 205062 - (perl-Sub-Install) Review Request: perl-Sub-Install - Install subroutines into packages easily
Review Request: perl-Sub-Install - Install subroutines into packages easily
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Sub-Install/
:
Depends On:
Blocks: FE-ACCEPT 205249 perl-Sub-Exporter perl-Moose
  Show dependency treegraph
 
Reported: 2006-09-03 01:06 EDT by Chris Weyl
Modified: 2011-01-20 01:31 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 01:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-03 01:06:03 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Sub-Install-0.922-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Sub-Install.spec

Description:
This module makes it easy to install subroutines into packages without the
unslightly mess of no strict or typeglobs lying about where just anyone
can see them.
Comment 1 Jason Tibbitts 2006-09-06 22:55:15 EDT
Some tests are skipped due to the lack of Test::Output; thanks for the note.  I
wonder if it would be possible to run all of the tests once the dependencies are
in the repo.  That would mean installing an older version of the module you're
building, which would be odd but should technically be possible.

Anyway, this package is fine:
* source files match upstream:
   48e8e9f72cdd5b3f5f7115b8b7de3ddf  Sub-Install-0.922.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(Sub::Install) = 0.922
   perl-Sub-Install = 0.922-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Scalar::Util)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful, 2 subtests skipped.
   Files=11, Tests=67,  0 wallclock secs ( 0.36 cusr +  0.11 csys =  0.47 CPU)
   (two tests are skipped due to lack of Test::Output)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2006-09-07 01:09:55 EDT
(In reply to comment #1)
> Some tests are skipped due to the lack of Test::Output; thanks for the note.  I
> wonder if it would be possible to run all of the tests once the dependencies are
> in the repo.  That would mean installing an older version of the module you're
> building, which would be odd but should technically be possible.

I think it would be, but since there's no 'BuildRequiresIfItHappensToBeAround'
tag for rpm I'd have to be very careful not to end up with a catch-22 of deps,
eg.. Sub::Install won't build because it needs Test::Output which won't build
because it needs Sub::Install which...  etc.  I'd need to build this package w/o
the Test::Output dep, then build T::O, then insert T::O as a BR and rebuild this
package.  Hrm.

+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

As always, thanks for the review :)
Comment 3 Chris Weyl 2007-04-20 12:03:08 EDT
Please branch for EL-4, EL-5.
Comment 4 Fedora Update System 2011-01-05 08:59:53 EST
perl-Sub-Install-0.924-1.el4.1 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Sub-Install-0.924-1.el4.1
Comment 5 Fedora Update System 2011-01-20 01:31:22 EST
perl-Sub-Install-0.924-1.el4.1 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.